﻿using System.Collections.Generic;
using TBL.GodotSharp.Content.FileSystem;
using Zio;

namespace TBL.GodotSharp.Content.Package;

/// <summary>
/// 内部内容包
/// </summary>
public class InternalPackage : PackageNode
{
    public override IFileSystem SelfFileSystem { get; } = new GodotFileSystem("res://");
    
    public override Info SelfInfo { get; }
    
    public override ICollection<DependencyInfo> Dependencies { get; }
}